**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/picklists/create-picklist-values.md

# Create Picklist Values



Add new values to a picklist.  Learn about [picklist limits in Vault Help](https://platform.veevavault.help/en/gr/1269#limits).

<Endpoint path="/api/{version}/objects/picklists/{picklist_name}" method="POST"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{picklist_name}` | The picklist `name` field value (`license_type__v`, `product_family__c`, `region__c`, etc.) |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, use `value_1`, `value_2`, etc., set to alphanumeric values. Enter each new picklist value `label` as they will be displayed in the UI.

You do not need to enter a `name` value, instead, Vault uses the `label` to create the picklist value `name`.

You cannot specify picklist order on creation. New picklist values are added in the order they are submitted, after any existing values in the picklist. To re-order picklist values, use the Vault UI or [Vault Toolbox](/mdl/documentation/guides/vault-toolbox).

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "value_1=North America" \
-d "value_2=Central America" \
-d "value_3=South America" \
https://myvault.veevavault.com/api/v15.0/objects/picklists/regions__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Created picklist value(s).",
  "picklistValues": [
    {
      "name": "north_america__c",
      "label": "North America"
    },
    {
      "name": "central_america__c",
      "label": "Central America"
    },
    {
      "name": "south_america__c",
      "label": "South America"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `name` | The picklist value name. This is used to reference this value in the API, and displayed to Vault Admins in the UI. |
| `label` | The picklist value label. Users see this label when selecting picklist values. Maximum 128 characters. |
</FieldTable>

---

**Previous:** [Retrieve Picklist Values](/vault-api/api-reference/26.1/picklists/retrieve-picklist-values)  
**Next:** [Update Picklist Value Label](/vault-api/api-reference/26.1/picklists/update-picklist-value-label)